Configure 2FA for a channel
curl --request PUT \
--url https://{subdomain}.mihu.ai/api/v1/assistant-channels/{channel}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_email": "<string>",
"two_factor_enabled": true,
"pin": "<string>",
"reverify_after_minutes": 123
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/assistant-channels/{channel}/security"
payload = {
"user_email": "<string>",
"two_factor_enabled": True,
"pin": "<string>",
"reverify_after_minutes": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_email: '<string>',
two_factor_enabled: true,
pin: '<string>',
reverify_after_minutes: 123
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/assistant-channels/{channel}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Assistant Channels
Configure 2FA for a channel
Static PIN is the only verification method today. Enabling 2FA without ever having set a PIN fails — set one first (or in the same request).
PUT
/
api
/
v1
/
assistant-channels
/
{channel}
/
security
Configure 2FA for a channel
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Available options:
email, whatsapp, sms Body
application/json
Response
Security settings saved
⌘I